### Method

# Gtk TreeView append_column

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_view_append_column (
      GtkTreeView* tree_view,
      GtkTreeViewColumn* column
    )

#### Description [src]

Appends `column` to the list of columns. If `tree_view` has “fixed_height” mode enabled, then `column` must have its “sizing” property set to be GTK_TREE_VIEW_COLUMN_FIXED.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` to add.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

The number of columns in `tree_view` after appending.